Ask Your Question

Revision history [back]

Are you sure the module is installed on your PC? On Ubuntu, there's a package called swift-plugin-s3. There's probably something similar for every platform.

root@swift1:~# apt-cache search swift3
swift-plugin-s3 - swift3 (S3 compatibility) middleware plugin for swift

root@swift1:~# apt-cache policy swift-plugin-s3
swift-plugin-s3:
  Installed: (none)
  Candidate: 1.7-3~bpo70+1
  Version table:
     1.0.0~git201200618-0ubuntu1~cloud0 0
        500 http://ubuntu-cloud.archive.canonical.com/ubuntu/ precise-updates/grizzly/main amd64 Packages